CompactStats (Oracle Corporation - Berkeley DB Java API)
Keywords: com.sleepycat.db.CompactStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class CompactStats

    java.lang.Object
      com.sleepycat.db.CompactStats

    public class CompactStats

extends Object

Statistics returned by a `Database.compact(com.sleepycat.db.Transaction, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.CompactConfig)` operation.

Method Summary
`int` | `getDeadlock()` Return the if no transaction parameter was specified to `Database.compact(com.sleepycat.db.Transaction, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.CompactConfig)`, the number of deadlocks which occurred..
`int` | `getLevels()` Return the the number of levels removed from the Btree or Recno database during the compaction phase.
`int` | `getPagesExamine()` Return the the number of database pages reviewed during the compaction phase.
`int` | `getPagesFree()` Return the the number of database pages free during the compaction phase.
`int` | `getPagesTruncated()` Return the the number of database pages returned to the filesystem.
`String` | `toString()` For convenience, the CompactStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getPagesFree

    public int getPagesFree()

  Return the the number of database pages free during the compaction phase.

  This method may be called at any time during the life of the application.

  Returns:
    The the number of database pages free during the compaction phase.

### getPagesExamine

    public int getPagesExamine()

  Return the the number of database pages reviewed during the compaction phase.

  This method may be called at any time during the life of the application.

  Returns:
    The the number of database pages reviewed during the compaction phase.

### getLevels

    public int getLevels()

  Return the the number of levels removed from the Btree or Recno database during the compaction phase.

  This method may be called at any time during the life of the application.

  Returns:
    The the number of levels removed from the Btree or Recno database during the compaction phase.

### getDeadlock

    public int getDeadlock()

  Return the if no transaction parameter was specified to `Database.compact(com.sleepycat.db.Transaction, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.CompactConfig)`, the number of deadlocks which occurred..

  This method may be called at any time during the life of the application.

  Returns:
    The if no transaction parameter was specified to `Database.compact(com.sleepycat.db.Transaction, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.CompactConfig)`, the number of deadlocks which occurred..

### getPagesTruncated

    public int getPagesTruncated()

  Return the the number of database pages returned to the filesystem.

  This method may be called at any time during the life of the application.

  Returns:
    The the number of database pages returned to the filesystem.

### toString

    public String toString()

  For convenience, the CompactStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.